#ifndef REALWIDGET_H
#define REALWIDGET_H
#include "qcustomplot.h"
#include <QtWidgets/QWidget>
#include <QPushButton>



class RealWidget : public QWidget
{
    Q_OBJECT
public:
    RealWidget(QWidget *parent = 0);
    ~RealWidget();

private:
    QCustomPlot *realPlot;
    QTimer dataTimer;

    QMutex mutex;
public slots:
    void start_plot_real_line();
    void stop_plot_real_line();

private slots:
    void realtimeDataSlot();

protected:



signals:

};



#endif // REALWIDGET_H
